package com.lantone.qc.kernel.catalogue.xiamen.deathrecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : DEAR0343
 * @Description : 死亡记录无病情演变
 * @Author : 胡敬
 * @Date: 2020-03-18 17:14
 */
@Component
public class DEAR0343 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getDeathRecordDoc() != null && inputInfo.getDeathRecordDoc().getStructureMap() != null) {
            Map<String, String> deathRecordStructureMap = inputInfo.getDeathRecordDoc().getStructureMap();
            String diagnosisTreatmentProcess = deathRecordStructureMap.get("诊疗经过");
            if (CatalogueUtil.isEmpty(diagnosisTreatmentProcess)) {
                return;
            }
            if (!diagnosisTreatmentProcess.contains("加重") && !diagnosisTreatmentProcess.contains("抢救")) {
                status.set("-1");
            }
        }
    }
}